const app = getApp() 
import { 
  GetHostsInfo, 
  GetMAC, 
  GetFaceSN, 
  ErrorInfo, 
  CheckFaceSN, 
  OpenDoorTest, 
  GetRoomType, 
  GetRoomTypeAndModalsListLog,
  WebChatUpgrade,
  QueryUpdateHostStatus,
  ForwardQueryUpdateHostProgressBar,
  GetRoomTypeNode,
  SetRCULight,
  SetRCUAir,
  SetRCUCurtain,
} from '../../../lib/RequestingCenter.js' 
Page({

  /**
   * 页面的初始数据
   */
  data: {
    RoomIndex:0,
    //权限信息 
    autho: null, 
    //酒店信息    
    HostsDataFilters:[],   
    toView:"", 
    RoomNumber:"",
    HotelId:"",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad:async function(options) {
    if (!options.HotelId || app.globalData.autho == null) { 
      app.toast(2, "无酒店信息~") 
      return; 
    }
    if (!options.RoomNumber) {
      this.setData({ 
        autho: app.globalData.autho,
        HotelId: options.HotelId      
      }) 
    }else{
      this.setData({ 
        autho: app.globalData.autho,
        HotelId: options.HotelId,
        RoomNumber:options.RoomNumber      
      }) 
      
    }
    
    try { 
      this.data.autho.forEach((element, index) => { 
        element.Hotels.forEach((elements, indexs) => { 
          if (elements.HotelId == options.HotelId) { 
            this.setData({ 
              Hotelinfo: elements 
            }) 
            throw new Error(); 
          } 
        }) 
      }); 
    } catch (error) { 
      console.log("已经找到，无需循环~") 
    } 




  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },
  inputSearchForHotels(e){
    this.setData({
      RoomNumber: e.detail.value
    })
  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})